#!/usr/bin/make -f
#
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=django-markupfield

%:
	dh $@ --buildsystem pybuild

override_dh_auto_build:
	set -e; \
	for loc in markupfield/locale/*; do \
		python3 setup.py compile_catalog --directory markupfield/locale/ --locale $$(basename $$loc) --domain django; \
	done
	dh_auto_build

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e; \
	for python in $(shell py3versions -r); do \
		$$python $$(which django-admin) test --settings=markupfield.tests.settings --pythonpath=. ; \
	done
endif
